import { ErrorResponse, GenericSuccessResponse, KeepKeySDKConfig, PubkeySuccessResponse, SignedTx, SignSuccessResponse } from "./types";
import { GetPublicKey, BinanceSignTx, BinanceSignedTx, ETHSignTx, ETHSignedTx, EosToSignTx, EosTxSigned, RippleSignTx, RippleSignedTx, OsmosisSignTx, OsmosisSignedTx, ThorchainSignedTx, BinanceGetAddress, BTCGetAddress, BTCSignedTx, BTCSignTxKK, CosmosGetAddress, CosmosSignedTx, CosmosSignTx, ETHGetAddress, OsmosisGetAddress, PublicKey, ThorchainGetAddress, ThorchainSignTx } from '@shapeshiftoss/hdwallet-core';
export declare const KeepKeySDK: (config: KeepKeySDKConfig) => {
    service: {
        pair: () => Promise<GenericSuccessResponse | ErrorResponse>;
        verifyAuth: () => Promise<GenericSuccessResponse | ErrorResponse>;
    };
    pubkeys: {
        getPublicKeys: (pubkeys: GetPublicKey[]) => Promise<PubkeySuccessResponse<Array<PublicKey>> | ErrorResponse>;
        btcGetAddress: (body: BTCGetAddress) => Promise<PubkeySuccessResponse<string> | ErrorResponse>;
        rippleGetAddress: (body: BTCGetAddress) => Promise<PubkeySuccessResponse<string> | ErrorResponse>;
        ethGetAddress: (body: ETHGetAddress) => Promise<PubkeySuccessResponse<string> | ErrorResponse>;
        thorchainGetAddress: (body: ThorchainGetAddress) => Promise<PubkeySuccessResponse<string> | ErrorResponse>;
        osmosisGetAddress: (body: OsmosisGetAddress) => Promise<PubkeySuccessResponse<string> | ErrorResponse>;
        binanceGetAddress: (body: BinanceGetAddress) => Promise<PubkeySuccessResponse<Array<string>> | ErrorResponse>;
        cosmosGetAddress: (body: CosmosGetAddress) => Promise<PubkeySuccessResponse<Array<string>> | ErrorResponse>;
    };
    sign: {
        signTx: (body: any) => Promise<SignSuccessResponse<SignedTx> | ErrorResponse>;
        btcSignTx: (body: BTCSignTxKK) => Promise<SignSuccessResponse<BTCSignedTx> | ErrorResponse>;
        thorchainSignTx: (body: ThorchainSignTx) => Promise<SignSuccessResponse<ThorchainSignedTx> | ErrorResponse>;
        cosmosSignTx: (body: CosmosSignTx) => Promise<SignSuccessResponse<CosmosSignedTx> | ErrorResponse>;
        osmosisSignTx: (body: OsmosisSignTx) => Promise<SignSuccessResponse<OsmosisSignedTx> | ErrorResponse>;
        rippleSignTx: (body: RippleSignTx) => Promise<SignSuccessResponse<RippleSignedTx> | ErrorResponse>;
        binanceSignTx: (body: BinanceSignTx) => Promise<SignSuccessResponse<BinanceSignedTx> | ErrorResponse>;
        ethSignTx: (body: ETHSignTx) => Promise<SignSuccessResponse<ETHSignedTx> | ErrorResponse>;
        eosSignTx: (body: EosToSignTx) => Promise<SignSuccessResponse<EosTxSigned> | ErrorResponse>;
    };
};
